Subject: Re: [PATCH 3/4] drm/drm_ras: Add DRM RAS netlink error event notification

From: Jakub Kicinski <[email-masked]>
Date: Thu, 23 Apr 2026 09:29:22 -0700

On Thu, 23 Apr 2026 11:22:45 +0530 Tauro, Riana wrote:
> We had some questions regarding events in netlink
> 
> 1) According to netlink spec, "Events are considered less idiomatic for 
> netlink and notifications should be preferred."
> Since we currently don't have a response that matches a get operation to 
> use notify. Would using an event be acceptable?

I have only glanced at previous messages but would it not work to
include the counter values into the "event" as if it was it was a
counter get?

If it makes no sense - it's fine. We have been adding events in some
places, too, in networking. The thinking is basically that when the app
that does the user space monitoring starts it will often want to know
the state of the world. So we end up with "get state of the world"
and "notify about state of the world" which should really be the same
format.

> 2) Is there a way to check if there are subscribers to a group before 
> creating the event message?
>     Currently the subscriber check happens in 
> netlink_broadcast_filtered, but a reviewer suggested we could
>     optimize by skipping message creation if there are no subscribers.

Yes, genl_has_listeners()